curl --request POST \
--url https://api.pubrio.com/companies/lookalikes/search \
--header 'Content-Type: application/json' \
--header 'pubrio-api-key: <api-key>' \
--data '
{
"domain_search_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locations": [
"US",
"SG",
"CN"
],
"exclude_locations": [
"CN",
"US",
"RU",
"CA"
],
"technologies": [
123
],
"categories": [
123
],
"verticals": [
123
],
"vertical_categories": [
123
],
"vertical_sub_categories": [
123
],
"domain": "pubrio.com",
"linkedin_url": "https://www.linkedin.com/company/pubrio",
"employees": [
[
1,
10
],
[
11,
20
],
[
10001
]
],
"founded_dates": [
2018,
2024
],
"revenues": [
0,
100000
],
"job_locations": [
"US",
"SG",
"CN"
],
"job_posted_dates": [
"2025-01-01",
"2025-01-10"
],
"job_titles": [
"sales manager",
"marketing manager"
],
"news_categories": [
"launches"
],
"news_published_dates": [
"2025-01-01",
"2025-01-10"
],
"is_enable_similarity_search": true,
"similarity_score": 0.7,
"per_page": 25,
"page": 1
}
'import requests
url = "https://api.pubrio.com/companies/lookalikes/search"
payload = {
"domain_search_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locations": ["US", "SG", "CN"],
"exclude_locations": ["CN", "US", "RU", "CA"],
"technologies": [123],
"categories": [123],
"verticals": [123],
"vertical_categories": [123],
"vertical_sub_categories": [123],
"domain": "pubrio.com",
"linkedin_url": "https://www.linkedin.com/company/pubrio",
"employees": [[1, 10], [11, 20], [10001]],
"founded_dates": [2018, 2024],
"revenues": [0, 100000],
"job_locations": ["US", "SG", "CN"],
"job_posted_dates": ["2025-01-01", "2025-01-10"],
"job_titles": ["sales manager", "marketing manager"],
"news_categories": ["launches"],
"news_published_dates": ["2025-01-01", "2025-01-10"],
"is_enable_similarity_search": True,
"similarity_score": 0.7,
"per_page": 25,
"page": 1
}
headers = {
"pubrio-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'pubrio-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
domain_search_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
locations: ['US', 'SG', 'CN'],
exclude_locations: ['CN', 'US', 'RU', 'CA'],
technologies: [123],
categories: [123],
verticals: [123],
vertical_categories: [123],
vertical_sub_categories: [123],
domain: 'pubrio.com',
linkedin_url: 'https://www.linkedin.com/company/pubrio',
employees: [[1, 10], [11, 20], [10001]],
founded_dates: [2018, 2024],
revenues: [0, 100000],
job_locations: ['US', 'SG', 'CN'],
job_posted_dates: ['2025-01-01', '2025-01-10'],
job_titles: ['sales manager', 'marketing manager'],
news_categories: ['launches'],
news_published_dates: ['2025-01-01', '2025-01-10'],
is_enable_similarity_search: true,
similarity_score: 0.7,
per_page: 25,
page: 1
})
};
fetch('https://api.pubrio.com/companies/lookalikes/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"pagination": {
"page": 1,
"per_page": 25,
"total_entries": 45234700,
"total_pages": 1809388
},
"companies": [
{
"logo_url": "https://buckets.pubrio.com/company-logo/MjI0NDc1OTMxaWxqOXNzbmoxdHdpdHRlci5jb20=.jpg",
"company_name": "Twitter",
"emails": [
"..."
],
"phones": [
"..."
],
"contacts": [
"..."
],
"founded_year": 2006,
"specialties": [
"Software Development"
],
"industry": "Software Development",
"domain": "twitter.com",
"domain_search_id": "61a73da7-2efc-41a5-a252-a8a8df29925a",
"domain_id": 224475931,
"linkedin_company_id": 44005587,
"linkedin_name": "twitter",
"is_company_url_active": true,
"domain_ids": [
224475931,
1758889566,
368242865
],
"company_keywords": [
"realtime information",
"social commerce",
"online shopping",
"classifieds",
"craigslist killers",
"e-commerce",
"killers",
"consumer internet",
"internet",
"information technology",
"edp services",
"technology",
"software development",
"microblogging",
"social networking",
"public conversation",
"user engagement",
"content sharing",
"advertising solutions",
"monetization",
"community building",
"digital wallet",
"ai integration",
"user safety"
],
"company_size": 1500,
"youtube_url": null,
"crunchbase_url": null,
"linkedin_url": "http://www.linkedin.com/company/twitter",
"instagram_url": null,
"facebook_url": "http://facebook.com/twitterinc",
"twitter_url": "https://twitter.com/x",
"github_url": null,
"x_url": null,
"location": "United States",
"company_ranking": null,
"company_url": "http://twitter.com",
"saved_lists": null,
"company_size_printed": "1,500"
},
"..."
]
}
}{
"code": 40001,
"message": "Errors and codes will vary depending on the scenario, please see the documentation for information.",
"details": {}
}{
"error": "Request rate limit exceeded. Please wait and try again later."
}{
"error": "An unexpected error occurred on the server."
}Lookalike-Unternehmenssuche
Veraltet. Verwenden Sie stattdessen POST /companies/search/similar — gleiche Daten, gleicher Body.
Finden Sie Unternehmen, die einem angegebenen Zielunternehmen anhand firmografischer und technografischer Merkmale ähnlich sind.
Autorisierungen
Body
- Domain Search ID
- Domain
- LinkedIn URL
Eine eindeutige Kennung für den Unternehmenssuchvorgang.
ISO 3166-1 Alpha-2 (cca2) wird zum Filtern von Standorten verwendet. Weitere Informationen finden Sie über die Endpunkte location im Filters-Tab.
["US", "SG", "CN"]
ISO 3166-1 Alpha-2 (cca2) wird verwendet, um Standorte auszuschließen, die nicht zurückgegeben werden sollen. Weitere Informationen finden Sie über die Endpunkte location im Filters-Tab.
["CN", "US", "RU", "CA"]
Eine Liste von tag_id, mit der nach bestimmten von Unternehmen eingesetzten Technologien gesucht wird. Die ID finden Sie über den Endpunkt technology im Filters-Tab.
Dieser Filter unterstützt is_enable_similarity_search; nach Aktivierung können Sie beliebigen Freitext eingeben, z. B. ["Shopify"].
Eine Liste von category_id, mit der nach bestimmten Technologiekategorien gesucht wird, die von Unternehmen eingesetzt werden. Die ID finden Sie über den Endpunkt category im Filters-Tab.
Dieser Filter unterstützt is_enable_similarity_search; nach Aktivierung können Sie beliebigen Freitext eingeben, z. B. ["CDN"].
Eine Liste von vertical_id, mit der nach Unternehmen in einer bestimmten Branche oder einem bestimmten Vertical gesucht wird. Die ID finden Sie über den Endpunkt vertical im Filters-Tab.
Dieser Filter unterstützt is_enable_similarity_search; nach Aktivierung können Sie beliebigen Freitext eingeben, z. B. ["AI"].
Eine Liste von vertical_category_id, mit der nach Unternehmen in einer bestimmten Vertical-Kategorie gesucht wird. Die ID finden Sie über den Endpunkt vertical category im Filters-Tab.
Dieser Filter unterstützt is_enable_similarity_search; nach Aktivierung können Sie beliebigen Freitext eingeben, z. B. ["Information Technology"].
Eine Liste von vertical_sub_category_id, mit der nach Unternehmen in einer bestimmten Vertical-Unterkategorie gesucht wird. Die ID finden Sie über den Endpunkt vertical sub category im Filters-Tab.
Dieser Filter unterstützt is_enable_similarity_search; nach Aktivierung können Sie beliebigen Freitext eingeben, z. B. ["Software"].
Eine Unternehmensdomain für Unternehmenssuchvorgänge. Erhalten wir eine URL wie www.pubrio.com oder https://docs.pubrio.com/, wandelt das System diese zur Verarbeitung in pubrio.com um.
"pubrio.com"
Die vollständige URL des LinkedIn-Unternehmensprofils. Die URL beginnt mit http und enthält linkedin.com/company/
"https://www.linkedin.com/company/pubrio"
Der Zahlenbereich der für das Unternehmen tätigen Mitarbeiter. Damit können Sie Unternehmen anhand der Mitarbeiterzahl finden. Sie können mehrere Bereiche hinzufügen, um Ihre Suchergebnisse zu erweitern.
Weitere Informationen finden Sie über die Endpunkte company size im Filters-Tab.
[[1, 10], [11, 20], [10001]]
Zeitraum der Unternehmensgründung in Jahren. Der maximale Gründungswert ist das aktuelle Jahr.
[2018, 2024]
Minimal- und Maximalbereich des Unternehmensumsatzes.
[0, 100000]
ISO 3166-1 Alpha-2 (cca2) wird zum Filtern von Standorten verwendet. Weitere Informationen finden Sie über die Endpunkte location im Filters-Tab.
["US", "SG", "CN"]
Datumsbereich des Veröffentlichungsdatums. Der Maximalwert ist der aktuelle Tag. Tagesgrenzen richten sich nach der Zeitzone Ihres Workspace.
["2025-01-01", "2025-01-10"]
Berufsbezeichnungen der Personen, die Sie finden möchten.
Die Ergebnisse umfassen auch Berufsbezeichnungen mit ähnlicher Terminologie, selbst wenn diese nicht exakt übereinstimmen. Eine Suche nach software engineer kann beispielsweise Ergebnisse für Personen mit der Bezeichnung senior software engineer liefern.
["sales manager", "marketing manager"]
Liste von category slugs zur Suche nach bestimmten News-Kategorien. Den Slug finden Sie über den Endpunkt news categories im Filters-Tab.
["launches"]
Datumsbereich des Publikationsdatums. Der Maximalwert ist der aktuelle Tag. Tagesgrenzen richten sich nach der Zeitzone Ihres Workspace.
["2025-01-01", "2025-01-10"]
Bei Aktivierung können die oben aufgeführten Filter, die Ähnlichkeitssuchen unterstützen, anstelle bestimmter IDs mit Freitext befüllt werden.
Wird in Verbindung mit is_enable_similarity_search verwendet. Diese Zahl dient dazu, zu analysieren, ob ein bestimmter Slug (z. B. Branche, Technologie) der Nutzereingabe ähnelt; je höher die Zahl, desto strenger ist die Prüfung.
0.7
Datensätze pro Seite. Standardmäßig 25, was bei den meisten Tarifen auch die Obergrenze ist — das Limit ist der max_search_per_page-Wert Ihres Abonnements, zurückgegeben von Profile. Bei Überschreitung wird HTTP 416 mit dem Code 41676 (oder 41613 bei der Unternehmens- und Personensuche) zurückgegeben, keine begrenzte Ergebnismenge.
x <= 2525
Antwort
Erfolgreiche Antwort mit Details zur Unternehmenssuche.

